#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* EF */
#define EF__0__INTTYPE CYREG_PICU3_INTTYPE1
#define EF__0__MASK 0x02u
#define EF__0__PC CYREG_PRT3_PC1
#define EF__0__PORT 3u
#define EF__0__SHIFT 1
#define EF__AG CYREG_PRT3_AG
#define EF__AMUX CYREG_PRT3_AMUX
#define EF__BIE CYREG_PRT3_BIE
#define EF__BIT_MASK CYREG_PRT3_BIT_MASK
#define EF__BYP CYREG_PRT3_BYP
#define EF__CTL CYREG_PRT3_CTL
#define EF__DM0 CYREG_PRT3_DM0
#define EF__DM1 CYREG_PRT3_DM1
#define EF__DM2 CYREG_PRT3_DM2
#define EF__DR CYREG_PRT3_DR
#define EF__INP_DIS CYREG_PRT3_INP_DIS
#define EF__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define EF__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define EF__LCD_EN CYREG_PRT3_LCD_EN
#define EF__MASK 0x02u
#define EF__PORT 3u
#define EF__PRT CYREG_PRT3_PRT
#define EF__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define EF__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define EF__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define EF__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define EF__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define EF__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define EF__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define EF__PS CYREG_PRT3_PS
#define EF__SHIFT 1
#define EF__SLW CYREG_PRT3_SLW

/* EN */
#define EN__0__INTTYPE CYREG_PICU5_INTTYPE7
#define EN__0__MASK 0x80u
#define EN__0__PC CYREG_PRT5_PC7
#define EN__0__PORT 5u
#define EN__0__SHIFT 7
#define EN__AG CYREG_PRT5_AG
#define EN__AMUX CYREG_PRT5_AMUX
#define EN__BIE CYREG_PRT5_BIE
#define EN__BIT_MASK CYREG_PRT5_BIT_MASK
#define EN__BYP CYREG_PRT5_BYP
#define EN__CTL CYREG_PRT5_CTL
#define EN__DM0 CYREG_PRT5_DM0
#define EN__DM1 CYREG_PRT5_DM1
#define EN__DM2 CYREG_PRT5_DM2
#define EN__DR CYREG_PRT5_DR
#define EN__INP_DIS CYREG_PRT5_INP_DIS
#define EN__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU5_BASE
#define EN__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define EN__LCD_EN CYREG_PRT5_LCD_EN
#define EN__MASK 0x80u
#define EN__PORT 5u
#define EN__PRT CYREG_PRT5_PRT
#define EN__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define EN__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define EN__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define EN__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define EN__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define EN__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define EN__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define EN__PS CYREG_PRT5_PS
#define EN__SHIFT 7
#define EN__SLW CYREG_PRT5_SLW

/* OD */
#define OD__0__INTTYPE CYREG_PICU3_INTTYPE2
#define OD__0__MASK 0x04u
#define OD__0__PC CYREG_PRT3_PC2
#define OD__0__PORT 3u
#define OD__0__SHIFT 2
#define OD__AG CYREG_PRT3_AG
#define OD__AMUX CYREG_PRT3_AMUX
#define OD__BIE CYREG_PRT3_BIE
#define OD__BIT_MASK CYREG_PRT3_BIT_MASK
#define OD__BYP CYREG_PRT3_BYP
#define OD__CTL CYREG_PRT3_CTL
#define OD__DM0 CYREG_PRT3_DM0
#define OD__DM1 CYREG_PRT3_DM1
#define OD__DM2 CYREG_PRT3_DM2
#define OD__DR CYREG_PRT3_DR
#define OD__INP_DIS CYREG_PRT3_INP_DIS
#define OD__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define OD__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define OD__LCD_EN CYREG_PRT3_LCD_EN
#define OD__MASK 0x04u
#define OD__PORT 3u
#define OD__PRT CYREG_PRT3_PRT
#define OD__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define OD__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define OD__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define OD__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define OD__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define OD__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define OD__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define OD__PS CYREG_PRT3_PS
#define OD__SHIFT 2
#define OD__SLW CYREG_PRT3_SLW

/* ADC_Bypass_P03 */
#define ADC_Bypass_P03__0__INTTYPE CYREG_PICU0_INTTYPE3
#define ADC_Bypass_P03__0__MASK 0x08u
#define ADC_Bypass_P03__0__PC CYREG_PRT0_PC3
#define ADC_Bypass_P03__0__PORT 0u
#define ADC_Bypass_P03__0__SHIFT 3
#define ADC_Bypass_P03__AG CYREG_PRT0_AG
#define ADC_Bypass_P03__AMUX CYREG_PRT0_AMUX
#define ADC_Bypass_P03__BIE CYREG_PRT0_BIE
#define ADC_Bypass_P03__BIT_MASK CYREG_PRT0_BIT_MASK
#define ADC_Bypass_P03__BYP CYREG_PRT0_BYP
#define ADC_Bypass_P03__CTL CYREG_PRT0_CTL
#define ADC_Bypass_P03__DM0 CYREG_PRT0_DM0
#define ADC_Bypass_P03__DM1 CYREG_PRT0_DM1
#define ADC_Bypass_P03__DM2 CYREG_PRT0_DM2
#define ADC_Bypass_P03__DR CYREG_PRT0_DR
#define ADC_Bypass_P03__INP_DIS CYREG_PRT0_INP_DIS
#define ADC_Bypass_P03__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define ADC_Bypass_P03__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define ADC_Bypass_P03__LCD_EN CYREG_PRT0_LCD_EN
#define ADC_Bypass_P03__MASK 0x08u
#define ADC_Bypass_P03__PORT 0u
#define ADC_Bypass_P03__PRT CYREG_PRT0_PRT
#define ADC_Bypass_P03__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define ADC_Bypass_P03__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define ADC_Bypass_P03__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define ADC_Bypass_P03__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define ADC_Bypass_P03__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define ADC_Bypass_P03__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define ADC_Bypass_P03__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define ADC_Bypass_P03__PS CYREG_PRT0_PS
#define ADC_Bypass_P03__SHIFT 3
#define ADC_Bypass_P03__SLW CYREG_PRT0_SLW

/* ADC_DEC */
#define ADC_DEC__COHER CYREG_DEC_COHER
#define ADC_DEC__CR CYREG_DEC_CR
#define ADC_DEC__DR1 CYREG_DEC_DR1
#define ADC_DEC__DR2 CYREG_DEC_DR2
#define ADC_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DEC__PM_ACT_MSK 0x01u
#define ADC_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DEC__PM_STBY_MSK 0x01u
#define ADC_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DEC__SR CYREG_DEC_SR
#define ADC_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define ADC_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define ADC_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define ADC_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define ADC_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define ADC_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define ADC_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define ADC_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* ADC_DSM */
#define ADC_DSM__BUF0 CYREG_DSM0_BUF0
#define ADC_DSM__BUF1 CYREG_DSM0_BUF1
#define ADC_DSM__BUF2 CYREG_DSM0_BUF2
#define ADC_DSM__BUF3 CYREG_DSM0_BUF3
#define ADC_DSM__CLK CYREG_DSM0_CLK
#define ADC_DSM__CR0 CYREG_DSM0_CR0
#define ADC_DSM__CR1 CYREG_DSM0_CR1
#define ADC_DSM__CR10 CYREG_DSM0_CR10
#define ADC_DSM__CR11 CYREG_DSM0_CR11
#define ADC_DSM__CR12 CYREG_DSM0_CR12
#define ADC_DSM__CR13 CYREG_DSM0_CR13
#define ADC_DSM__CR14 CYREG_DSM0_CR14
#define ADC_DSM__CR15 CYREG_DSM0_CR15
#define ADC_DSM__CR16 CYREG_DSM0_CR16
#define ADC_DSM__CR17 CYREG_DSM0_CR17
#define ADC_DSM__CR2 CYREG_DSM0_CR2
#define ADC_DSM__CR3 CYREG_DSM0_CR3
#define ADC_DSM__CR4 CYREG_DSM0_CR4
#define ADC_DSM__CR5 CYREG_DSM0_CR5
#define ADC_DSM__CR6 CYREG_DSM0_CR6
#define ADC_DSM__CR7 CYREG_DSM0_CR7
#define ADC_DSM__CR8 CYREG_DSM0_CR8
#define ADC_DSM__CR9 CYREG_DSM0_CR9
#define ADC_DSM__DEM0 CYREG_DSM0_DEM0
#define ADC_DSM__DEM1 CYREG_DSM0_DEM1
#define ADC_DSM__MISC CYREG_DSM0_MISC
#define ADC_DSM__OUT0 CYREG_DSM0_OUT0
#define ADC_DSM__OUT1 CYREG_DSM0_OUT1
#define ADC_DSM__REF0 CYREG_DSM0_REF0
#define ADC_DSM__REF1 CYREG_DSM0_REF1
#define ADC_DSM__REF2 CYREG_DSM0_REF2
#define ADC_DSM__REF3 CYREG_DSM0_REF3
#define ADC_DSM__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DSM__SW0 CYREG_DSM0_SW0
#define ADC_DSM__SW2 CYREG_DSM0_SW2
#define ADC_DSM__SW3 CYREG_DSM0_SW3
#define ADC_DSM__SW4 CYREG_DSM0_SW4
#define ADC_DSM__SW6 CYREG_DSM0_SW6
#define ADC_DSM__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DSM__TST0 CYREG_DSM0_TST0
#define ADC_DSM__TST1 CYREG_DSM0_TST1

/* ADC_Ext_CP_Clk */
#define ADC_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Ext_CP_Clk__INDEX 0x00u
#define ADC_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define ADC_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* ADC_IRQ */
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_IRQ__INTC_MASK 0x20000000u
#define ADC_IRQ__INTC_NUMBER 29u
#define ADC_IRQ__INTC_PRIOR_NUM 7u
#define ADC_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_29
#define ADC_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* CLK */
#define CLK__0__INTTYPE CYREG_PICU12_INTTYPE4
#define CLK__0__MASK 0x10u
#define CLK__0__PC CYREG_PRT12_PC4
#define CLK__0__PORT 12u
#define CLK__0__SHIFT 4
#define CLK__AG CYREG_PRT12_AG
#define CLK__BIE CYREG_PRT12_BIE
#define CLK__BIT_MASK CYREG_PRT12_BIT_MASK
#define CLK__BYP CYREG_PRT12_BYP
#define CLK__DM0 CYREG_PRT12_DM0
#define CLK__DM1 CYREG_PRT12_DM1
#define CLK__DM2 CYREG_PRT12_DM2
#define CLK__DR CYREG_PRT12_DR
#define CLK__INP_DIS CYREG_PRT12_INP_DIS
#define CLK__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define CLK__MASK 0x10u
#define CLK__PORT 12u
#define CLK__PRT CYREG_PRT12_PRT
#define CLK__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define CLK__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define CLK__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define CLK__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define CLK__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define CLK__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define CLK__PS CYREG_PRT12_PS
#define CLK__SHIFT 4
#define CLK__SIO_CFG CYREG_PRT12_SIO_CFG
#define CLK__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define CLK__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define CLK__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define CLK__SLW CYREG_PRT12_SLW

/* I2C_I2C_FF */
#define I2C_I2C_FF__ADR CYREG_I2C_ADR
#define I2C_I2C_FF__CFG CYREG_I2C_CFG
#define I2C_I2C_FF__CLK_DIV1 CYREG_I2C_CLK_DIV1
#define I2C_I2C_FF__CLK_DIV2 CYREG_I2C_CLK_DIV2
#define I2C_I2C_FF__CSR CYREG_I2C_CSR
#define I2C_I2C_FF__D CYREG_I2C_D
#define I2C_I2C_FF__MCSR CYREG_I2C_MCSR
#define I2C_I2C_FF__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define I2C_I2C_FF__PM_ACT_MSK 0x04u
#define I2C_I2C_FF__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define I2C_I2C_FF__PM_STBY_MSK 0x04u
#define I2C_I2C_FF__TMOUT_CFG0 CYREG_I2C_TMOUT_CFG0
#define I2C_I2C_FF__TMOUT_CFG1 CYREG_I2C_TMOUT_CFG1
#define I2C_I2C_FF__TMOUT_CSR CYREG_I2C_TMOUT_CSR
#define I2C_I2C_FF__TMOUT_SR CYREG_I2C_TMOUT_SR
#define I2C_I2C_FF__XCFG CYREG_I2C_XCFG

/* I2C_I2C_IRQ */
#define I2C_I2C_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define I2C_I2C_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define I2C_I2C_IRQ__INTC_MASK 0x8000u
#define I2C_I2C_IRQ__INTC_NUMBER 15u
#define I2C_I2C_IRQ__INTC_PRIOR_NUM 7u
#define I2C_I2C_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_15
#define I2C_I2C_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define I2C_I2C_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* led */
#define led__0__INTTYPE CYREG_PICU6_INTTYPE0
#define led__0__MASK 0x01u
#define led__0__PC CYREG_PRT6_PC0
#define led__0__PORT 6u
#define led__0__SHIFT 0
#define led__1__INTTYPE CYREG_PICU6_INTTYPE1
#define led__1__MASK 0x02u
#define led__1__PC CYREG_PRT6_PC1
#define led__1__PORT 6u
#define led__1__SHIFT 1
#define led__2__INTTYPE CYREG_PICU6_INTTYPE2
#define led__2__MASK 0x04u
#define led__2__PC CYREG_PRT6_PC2
#define led__2__PORT 6u
#define led__2__SHIFT 2
#define led__AG CYREG_PRT6_AG
#define led__AMUX CYREG_PRT6_AMUX
#define led__BIE CYREG_PRT6_BIE
#define led__BIT_MASK CYREG_PRT6_BIT_MASK
#define led__BYP CYREG_PRT6_BYP
#define led__CTL CYREG_PRT6_CTL
#define led__DM0 CYREG_PRT6_DM0
#define led__DM1 CYREG_PRT6_DM1
#define led__DM2 CYREG_PRT6_DM2
#define led__DR CYREG_PRT6_DR
#define led__INP_DIS CYREG_PRT6_INP_DIS
#define led__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU6_BASE
#define led__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define led__LCD_EN CYREG_PRT6_LCD_EN
#define led__MASK 0x07u
#define led__PORT 6u
#define led__PRT CYREG_PRT6_PRT
#define led__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define led__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define led__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define led__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define led__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define led__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define led__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define led__PS CYREG_PRT6_PS
#define led__SHIFT 0
#define led__SLW CYREG_PRT6_SLW

/* Data */
#define Data__0__INTTYPE CYREG_PICU12_INTTYPE5
#define Data__0__MASK 0x20u
#define Data__0__PC CYREG_PRT12_PC5
#define Data__0__PORT 12u
#define Data__0__SHIFT 5
#define Data__AG CYREG_PRT12_AG
#define Data__BIE CYREG_PRT12_BIE
#define Data__BIT_MASK CYREG_PRT12_BIT_MASK
#define Data__BYP CYREG_PRT12_BYP
#define Data__DM0 CYREG_PRT12_DM0
#define Data__DM1 CYREG_PRT12_DM1
#define Data__DM2 CYREG_PRT12_DM2
#define Data__DR CYREG_PRT12_DR
#define Data__INP_DIS CYREG_PRT12_INP_DIS
#define Data__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define Data__MASK 0x20u
#define Data__PORT 12u
#define Data__PRT CYREG_PRT12_PRT
#define Data__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Data__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Data__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Data__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Data__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Data__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Data__PS CYREG_PRT12_PS
#define Data__SHIFT 5
#define Data__SIO_CFG CYREG_PRT12_SIO_CFG
#define Data__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Data__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Data__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Data__SLW CYREG_PRT12_SLW

/* Keys */
#define Keys__0__INTTYPE CYREG_PICU15_INTTYPE4
#define Keys__0__MASK 0x10u
#define Keys__0__PC CYREG_IO_PC_PRT15_PC4
#define Keys__0__PORT 15u
#define Keys__0__SHIFT 4
#define Keys__1__INTTYPE CYREG_PICU15_INTTYPE5
#define Keys__1__MASK 0x20u
#define Keys__1__PC CYREG_IO_PC_PRT15_PC5
#define Keys__1__PORT 15u
#define Keys__1__SHIFT 5
#define Keys__AG CYREG_PRT15_AG
#define Keys__AMUX CYREG_PRT15_AMUX
#define Keys__BIE CYREG_PRT15_BIE
#define Keys__BIT_MASK CYREG_PRT15_BIT_MASK
#define Keys__BYP CYREG_PRT15_BYP
#define Keys__CTL CYREG_PRT15_CTL
#define Keys__DM0 CYREG_PRT15_DM0
#define Keys__DM1 CYREG_PRT15_DM1
#define Keys__DM2 CYREG_PRT15_DM2
#define Keys__DR CYREG_PRT15_DR
#define Keys__INP_DIS CYREG_PRT15_INP_DIS
#define Keys__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU15_BASE
#define Keys__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Keys__LCD_EN CYREG_PRT15_LCD_EN
#define Keys__MASK 0x30u
#define Keys__PORT 15u
#define Keys__PRT CYREG_PRT15_PRT
#define Keys__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Keys__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Keys__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Keys__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Keys__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Keys__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Keys__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Keys__PS CYREG_PRT15_PS
#define Keys__SHIFT 4
#define Keys__SLW CYREG_PRT15_SLW

/* Rx_1 */
#define Rx_1__0__INTTYPE CYREG_PICU5_INTTYPE6
#define Rx_1__0__MASK 0x40u
#define Rx_1__0__PC CYREG_PRT5_PC6
#define Rx_1__0__PORT 5u
#define Rx_1__0__SHIFT 6
#define Rx_1__AG CYREG_PRT5_AG
#define Rx_1__AMUX CYREG_PRT5_AMUX
#define Rx_1__BIE CYREG_PRT5_BIE
#define Rx_1__BIT_MASK CYREG_PRT5_BIT_MASK
#define Rx_1__BYP CYREG_PRT5_BYP
#define Rx_1__CTL CYREG_PRT5_CTL
#define Rx_1__DM0 CYREG_PRT5_DM0
#define Rx_1__DM1 CYREG_PRT5_DM1
#define Rx_1__DM2 CYREG_PRT5_DM2
#define Rx_1__DR CYREG_PRT5_DR
#define Rx_1__INP_DIS CYREG_PRT5_INP_DIS
#define Rx_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU5_BASE
#define Rx_1__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Rx_1__LCD_EN CYREG_PRT5_LCD_EN
#define Rx_1__MASK 0x40u
#define Rx_1__PORT 5u
#define Rx_1__PRT CYREG_PRT5_PRT
#define Rx_1__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Rx_1__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Rx_1__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Rx_1__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Rx_1__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Rx_1__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Rx_1__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Rx_1__PS CYREG_PRT5_PS
#define Rx_1__SHIFT 6
#define Rx_1__SLW CYREG_PRT5_SLW

/* Tx_1 */
#define Tx_1__0__INTTYPE CYREG_PICU5_INTTYPE5
#define Tx_1__0__MASK 0x20u
#define Tx_1__0__PC CYREG_PRT5_PC5
#define Tx_1__0__PORT 5u
#define Tx_1__0__SHIFT 5
#define Tx_1__AG CYREG_PRT5_AG
#define Tx_1__AMUX CYREG_PRT5_AMUX
#define Tx_1__BIE CYREG_PRT5_BIE
#define Tx_1__BIT_MASK CYREG_PRT5_BIT_MASK
#define Tx_1__BYP CYREG_PRT5_BYP
#define Tx_1__CTL CYREG_PRT5_CTL
#define Tx_1__DM0 CYREG_PRT5_DM0
#define Tx_1__DM1 CYREG_PRT5_DM1
#define Tx_1__DM2 CYREG_PRT5_DM2
#define Tx_1__DR CYREG_PRT5_DR
#define Tx_1__INP_DIS CYREG_PRT5_INP_DIS
#define Tx_1__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU5_BASE
#define Tx_1__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Tx_1__LCD_EN CYREG_PRT5_LCD_EN
#define Tx_1__MASK 0x20u
#define Tx_1__PORT 5u
#define Tx_1__PRT CYREG_PRT5_PRT
#define Tx_1__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Tx_1__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Tx_1__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Tx_1__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Tx_1__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Tx_1__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Tx_1__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Tx_1__PS CYREG_PRT5_PS
#define Tx_1__SHIFT 5
#define Tx_1__SLW CYREG_PRT5_SLW

/* relay */
#define relay__0__INTTYPE CYREG_PICU3_INTTYPE5
#define relay__0__MASK 0x20u
#define relay__0__PC CYREG_PRT3_PC5
#define relay__0__PORT 3u
#define relay__0__SHIFT 5
#define relay__1__INTTYPE CYREG_PICU3_INTTYPE6
#define relay__1__MASK 0x40u
#define relay__1__PC CYREG_PRT3_PC6
#define relay__1__PORT 3u
#define relay__1__SHIFT 6
#define relay__2__INTTYPE CYREG_PICU3_INTTYPE7
#define relay__2__MASK 0x80u
#define relay__2__PC CYREG_PRT3_PC7
#define relay__2__PORT 3u
#define relay__2__SHIFT 7
#define relay__AG CYREG_PRT3_AG
#define relay__AMUX CYREG_PRT3_AMUX
#define relay__BIE CYREG_PRT3_BIE
#define relay__BIT_MASK CYREG_PRT3_BIT_MASK
#define relay__BYP CYREG_PRT3_BYP
#define relay__CTL CYREG_PRT3_CTL
#define relay__DM0 CYREG_PRT3_DM0
#define relay__DM1 CYREG_PRT3_DM1
#define relay__DM2 CYREG_PRT3_DM2
#define relay__DR CYREG_PRT3_DR
#define relay__INP_DIS CYREG_PRT3_INP_DIS
#define relay__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU3_BASE
#define relay__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define relay__LCD_EN CYREG_PRT3_LCD_EN
#define relay__MASK 0xE0u
#define relay__PORT 3u
#define relay__PRT CYREG_PRT3_PRT
#define relay__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define relay__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define relay__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define relay__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define relay__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define relay__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define relay__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define relay__PS CYREG_PRT3_PS
#define relay__SHIFT 5
#define relay__SLW CYREG_PRT3_SLW

/* Analog */
#define Analog__0__INTTYPE CYREG_PICU0_INTTYPE0
#define Analog__0__MASK 0x01u
#define Analog__0__PC CYREG_PRT0_PC0
#define Analog__0__PORT 0u
#define Analog__0__SHIFT 0
#define Analog__AG CYREG_PRT0_AG
#define Analog__AMUX CYREG_PRT0_AMUX
#define Analog__BIE CYREG_PRT0_BIE
#define Analog__BIT_MASK CYREG_PRT0_BIT_MASK
#define Analog__BYP CYREG_PRT0_BYP
#define Analog__CTL CYREG_PRT0_CTL
#define Analog__DM0 CYREG_PRT0_DM0
#define Analog__DM1 CYREG_PRT0_DM1
#define Analog__DM2 CYREG_PRT0_DM2
#define Analog__DR CYREG_PRT0_DR
#define Analog__INP_DIS CYREG_PRT0_INP_DIS
#define Analog__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Analog__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Analog__LCD_EN CYREG_PRT0_LCD_EN
#define Analog__MASK 0x01u
#define Analog__PORT 0u
#define Analog__PRT CYREG_PRT0_PRT
#define Analog__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Analog__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Analog__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Analog__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Analog__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Analog__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Analog__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Analog__PS CYREG_PRT0_PS
#define Analog__SHIFT 0
#define Analog__SLW CYREG_PRT0_SLW

/* Analog_Gnd */
#define Analog_Gnd__0__INTTYPE CYREG_PICU0_INTTYPE1
#define Analog_Gnd__0__MASK 0x02u
#define Analog_Gnd__0__PC CYREG_PRT0_PC1
#define Analog_Gnd__0__PORT 0u
#define Analog_Gnd__0__SHIFT 1
#define Analog_Gnd__AG CYREG_PRT0_AG
#define Analog_Gnd__AMUX CYREG_PRT0_AMUX
#define Analog_Gnd__BIE CYREG_PRT0_BIE
#define Analog_Gnd__BIT_MASK CYREG_PRT0_BIT_MASK
#define Analog_Gnd__BYP CYREG_PRT0_BYP
#define Analog_Gnd__CTL CYREG_PRT0_CTL
#define Analog_Gnd__DM0 CYREG_PRT0_DM0
#define Analog_Gnd__DM1 CYREG_PRT0_DM1
#define Analog_Gnd__DM2 CYREG_PRT0_DM2
#define Analog_Gnd__DR CYREG_PRT0_DR
#define Analog_Gnd__INP_DIS CYREG_PRT0_INP_DIS
#define Analog_Gnd__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Analog_Gnd__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Analog_Gnd__LCD_EN CYREG_PRT0_LCD_EN
#define Analog_Gnd__MASK 0x02u
#define Analog_Gnd__PORT 0u
#define Analog_Gnd__PRT CYREG_PRT0_PRT
#define Analog_Gnd__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Analog_Gnd__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Analog_Gnd__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Analog_Gnd__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Analog_Gnd__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Analog_Gnd__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Analog_Gnd__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Analog_Gnd__PS CYREG_PRT0_PS
#define Analog_Gnd__SHIFT 1
#define Analog_Gnd__SLW CYREG_PRT0_SLW

/* IP_VTG */
#define IP_VTG__0__INTTYPE CYREG_PICU0_INTTYPE2
#define IP_VTG__0__MASK 0x04u
#define IP_VTG__0__PC CYREG_PRT0_PC2
#define IP_VTG__0__PORT 0u
#define IP_VTG__0__SHIFT 2
#define IP_VTG__AG CYREG_PRT0_AG
#define IP_VTG__AMUX CYREG_PRT0_AMUX
#define IP_VTG__BIE CYREG_PRT0_BIE
#define IP_VTG__BIT_MASK CYREG_PRT0_BIT_MASK
#define IP_VTG__BYP CYREG_PRT0_BYP
#define IP_VTG__CTL CYREG_PRT0_CTL
#define IP_VTG__DM0 CYREG_PRT0_DM0
#define IP_VTG__DM1 CYREG_PRT0_DM1
#define IP_VTG__DM2 CYREG_PRT0_DM2
#define IP_VTG__DR CYREG_PRT0_DR
#define IP_VTG__INP_DIS CYREG_PRT0_INP_DIS
#define IP_VTG__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define IP_VTG__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define IP_VTG__LCD_EN CYREG_PRT0_LCD_EN
#define IP_VTG__MASK 0x04u
#define IP_VTG__PORT 0u
#define IP_VTG__PRT CYREG_PRT0_PRT
#define IP_VTG__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define IP_VTG__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define IP_VTG__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define IP_VTG__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define IP_VTG__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define IP_VTG__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define IP_VTG__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define IP_VTG__PS CYREG_PRT0_PS
#define IP_VTG__SHIFT 2
#define IP_VTG__SLW CYREG_PRT0_SLW

/* OLED_D */
#define OLED_D__0__INTTYPE CYREG_PICU2_INTTYPE0
#define OLED_D__0__MASK 0x01u
#define OLED_D__0__PC CYREG_PRT2_PC0
#define OLED_D__0__PORT 2u
#define OLED_D__0__SHIFT 0
#define OLED_D__1__INTTYPE CYREG_PICU2_INTTYPE1
#define OLED_D__1__MASK 0x02u
#define OLED_D__1__PC CYREG_PRT2_PC1
#define OLED_D__1__PORT 2u
#define OLED_D__1__SHIFT 1
#define OLED_D__2__INTTYPE CYREG_PICU2_INTTYPE2
#define OLED_D__2__MASK 0x04u
#define OLED_D__2__PC CYREG_PRT2_PC2
#define OLED_D__2__PORT 2u
#define OLED_D__2__SHIFT 2
#define OLED_D__3__INTTYPE CYREG_PICU2_INTTYPE3
#define OLED_D__3__MASK 0x08u
#define OLED_D__3__PC CYREG_PRT2_PC3
#define OLED_D__3__PORT 2u
#define OLED_D__3__SHIFT 3
#define OLED_D__4__INTTYPE CYREG_PICU2_INTTYPE4
#define OLED_D__4__MASK 0x10u
#define OLED_D__4__PC CYREG_PRT2_PC4
#define OLED_D__4__PORT 2u
#define OLED_D__4__SHIFT 4
#define OLED_D__5__INTTYPE CYREG_PICU2_INTTYPE5
#define OLED_D__5__MASK 0x20u
#define OLED_D__5__PC CYREG_PRT2_PC5
#define OLED_D__5__PORT 2u
#define OLED_D__5__SHIFT 5
#define OLED_D__6__INTTYPE CYREG_PICU2_INTTYPE6
#define OLED_D__6__MASK 0x40u
#define OLED_D__6__PC CYREG_PRT2_PC6
#define OLED_D__6__PORT 2u
#define OLED_D__6__SHIFT 6
#define OLED_D__7__INTTYPE CYREG_PICU2_INTTYPE7
#define OLED_D__7__MASK 0x80u
#define OLED_D__7__PC CYREG_PRT2_PC7
#define OLED_D__7__PORT 2u
#define OLED_D__7__SHIFT 7
#define OLED_D__AG CYREG_PRT2_AG
#define OLED_D__AMUX CYREG_PRT2_AMUX
#define OLED_D__BIE CYREG_PRT2_BIE
#define OLED_D__BIT_MASK CYREG_PRT2_BIT_MASK
#define OLED_D__BYP CYREG_PRT2_BYP
#define OLED_D__CTL CYREG_PRT2_CTL
#define OLED_D__DM0 CYREG_PRT2_DM0
#define OLED_D__DM1 CYREG_PRT2_DM1
#define OLED_D__DM2 CYREG_PRT2_DM2
#define OLED_D__DR CYREG_PRT2_DR
#define OLED_D__INP_DIS CYREG_PRT2_INP_DIS
#define OLED_D__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU2_BASE
#define OLED_D__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define OLED_D__LCD_EN CYREG_PRT2_LCD_EN
#define OLED_D__MASK 0xFFu
#define OLED_D__PORT 2u
#define OLED_D__PRT CYREG_PRT2_PRT
#define OLED_D__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define OLED_D__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define OLED_D__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define OLED_D__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define OLED_D__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define OLED_D__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define OLED_D__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define OLED_D__PS CYREG_PRT2_PS
#define OLED_D__SHIFT 0
#define OLED_D__SLW CYREG_PRT2_SLW

/* SS_CON */
#define SS_CON__0__INTTYPE CYREG_PICU0_INTTYPE6
#define SS_CON__0__MASK 0x40u
#define SS_CON__0__PC CYREG_PRT0_PC6
#define SS_CON__0__PORT 0u
#define SS_CON__0__SHIFT 6
#define SS_CON__AG CYREG_PRT0_AG
#define SS_CON__AMUX CYREG_PRT0_AMUX
#define SS_CON__BIE CYREG_PRT0_BIE
#define SS_CON__BIT_MASK CYREG_PRT0_BIT_MASK
#define SS_CON__BYP CYREG_PRT0_BYP
#define SS_CON__CTL CYREG_PRT0_CTL
#define SS_CON__DM0 CYREG_PRT0_DM0
#define SS_CON__DM1 CYREG_PRT0_DM1
#define SS_CON__DM2 CYREG_PRT0_DM2
#define SS_CON__DR CYREG_PRT0_DR
#define SS_CON__INP_DIS CYREG_PRT0_INP_DIS
#define SS_CON__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define SS_CON__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define SS_CON__LCD_EN CYREG_PRT0_LCD_EN
#define SS_CON__MASK 0x40u
#define SS_CON__PORT 0u
#define SS_CON__PRT CYREG_PRT0_PRT
#define SS_CON__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define SS_CON__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define SS_CON__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define SS_CON__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define SS_CON__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define SS_CON__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define SS_CON__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define SS_CON__PS CYREG_PRT0_PS
#define SS_CON__SHIFT 6
#define SS_CON__SLW CYREG_PRT0_SLW

/* UART_1_BUART */
#define UART_1_BUART_sRX_RxBitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define UART_1_BUART_sRX_RxBitCounter__CONTROL_REG CYREG_B1_UDB11_CTL
#define UART_1_BUART_sRX_RxBitCounter__CONTROL_ST_REG CYREG_B1_UDB11_ST_CTL
#define UART_1_BUART_sRX_RxBitCounter__COUNT_REG CYREG_B1_UDB11_CTL
#define UART_1_BUART_sRX_RxBitCounter__COUNT_ST_REG CYREG_B1_UDB11_ST_CTL
#define UART_1_BUART_sRX_RxBitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define UART_1_BUART_sRX_RxBitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define UART_1_BUART_sRX_RxBitCounter__PERIOD_REG CYREG_B1_UDB11_MSK
#define UART_1_BUART_sRX_RxBitCounter_ST__MASK_REG CYREG_B1_UDB11_MSK
#define UART_1_BUART_sRX_RxBitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define UART_1_BUART_sRX_RxBitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define UART_1_BUART_sRX_RxBitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define UART_1_BUART_sRX_RxBitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB11_ST_CTL
#define UART_1_BUART_sRX_RxBitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB11_ST_CTL
#define UART_1_BUART_sRX_RxBitCounter_ST__STATUS_REG CYREG_B1_UDB11_ST
#define UART_1_BUART_sRX_RxShifter_u0__16BIT_A0_REG CYREG_B1_UDB08_09_A0
#define UART_1_BUART_sRX_RxShifter_u0__16BIT_A1_REG CYREG_B1_UDB08_09_A1
#define UART_1_BUART_sRX_RxShifter_u0__16BIT_D0_REG CYREG_B1_UDB08_09_D0
#define UART_1_BUART_sRX_RxShifter_u0__16BIT_D1_REG CYREG_B1_UDB08_09_D1
#define UART_1_BUART_sRX_RxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define UART_1_BUART_sRX_RxShifter_u0__16BIT_F0_REG CYREG_B1_UDB08_09_F0
#define UART_1_BUART_sRX_RxShifter_u0__16BIT_F1_REG CYREG_B1_UDB08_09_F1
#define UART_1_BUART_sRX_RxShifter_u0__A0_A1_REG CYREG_B1_UDB08_A0_A1
#define UART_1_BUART_sRX_RxShifter_u0__A0_REG CYREG_B1_UDB08_A0
#define UART_1_BUART_sRX_RxShifter_u0__A1_REG CYREG_B1_UDB08_A1
#define UART_1_BUART_sRX_RxShifter_u0__D0_D1_REG CYREG_B1_UDB08_D0_D1
#define UART_1_BUART_sRX_RxShifter_u0__D0_REG CYREG_B1_UDB08_D0
#define UART_1_BUART_sRX_RxShifter_u0__D1_REG CYREG_B1_UDB08_D1
#define UART_1_BUART_sRX_RxShifter_u0__DP_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define UART_1_BUART_sRX_RxShifter_u0__F0_F1_REG CYREG_B1_UDB08_F0_F1
#define UART_1_BUART_sRX_RxShifter_u0__F0_REG CYREG_B1_UDB08_F0
#define UART_1_BUART_sRX_RxShifter_u0__F1_REG CYREG_B1_UDB08_F1
#define UART_1_BUART_sRX_RxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define UART_1_BUART_sRX_RxSts__16BIT_STATUS_REG CYREG_B1_UDB08_09_ST
#define UART_1_BUART_sRX_RxSts__3__MASK 0x08u
#define UART_1_BUART_sRX_RxSts__3__POS 3
#define UART_1_BUART_sRX_RxSts__4__MASK 0x10u
#define UART_1_BUART_sRX_RxSts__4__POS 4
#define UART_1_BUART_sRX_RxSts__5__MASK 0x20u
#define UART_1_BUART_sRX_RxSts__5__POS 5
#define UART_1_BUART_sRX_RxSts__MASK 0x38u
#define UART_1_BUART_sRX_RxSts__MASK_REG CYREG_B1_UDB08_MSK
#define UART_1_BUART_sRX_RxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define UART_1_BUART_sRX_RxSts__STATUS_REG CYREG_B1_UDB08_ST
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A0_REG CYREG_B0_UDB08_09_A0
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_A1_REG CYREG_B0_UDB08_09_A1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D0_REG CYREG_B0_UDB08_09_D0
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_D1_REG CYREG_B0_UDB08_09_D1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F0_REG CYREG_B0_UDB08_09_F0
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__16BIT_F1_REG CYREG_B0_UDB08_09_F1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__A0_A1_REG CYREG_B0_UDB08_A0_A1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__A0_REG CYREG_B0_UDB08_A0
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__A1_REG CYREG_B0_UDB08_A1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__D0_D1_REG CYREG_B0_UDB08_D0_D1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__D0_REG CYREG_B0_UDB08_D0
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__D1_REG CYREG_B0_UDB08_D1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__DP_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__F0_F1_REG CYREG_B0_UDB08_F0_F1
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__F0_REG CYREG_B0_UDB08_F0
#define UART_1_BUART_sTX_sCLOCK_TxBitClkGen__F1_REG CYREG_B0_UDB08_F1
#define UART_1_BUART_sTX_TxShifter_u0__16BIT_A0_REG CYREG_B0_UDB09_10_A0
#define UART_1_BUART_sTX_TxShifter_u0__16BIT_A1_REG CYREG_B0_UDB09_10_A1
#define UART_1_BUART_sTX_TxShifter_u0__16BIT_D0_REG CYREG_B0_UDB09_10_D0
#define UART_1_BUART_sTX_TxShifter_u0__16BIT_D1_REG CYREG_B0_UDB09_10_D1
#define UART_1_BUART_sTX_TxShifter_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define UART_1_BUART_sTX_TxShifter_u0__16BIT_F0_REG CYREG_B0_UDB09_10_F0
#define UART_1_BUART_sTX_TxShifter_u0__16BIT_F1_REG CYREG_B0_UDB09_10_F1
#define UART_1_BUART_sTX_TxShifter_u0__A0_A1_REG CYREG_B0_UDB09_A0_A1
#define UART_1_BUART_sTX_TxShifter_u0__A0_REG CYREG_B0_UDB09_A0
#define UART_1_BUART_sTX_TxShifter_u0__A1_REG CYREG_B0_UDB09_A1
#define UART_1_BUART_sTX_TxShifter_u0__D0_D1_REG CYREG_B0_UDB09_D0_D1
#define UART_1_BUART_sTX_TxShifter_u0__D0_REG CYREG_B0_UDB09_D0
#define UART_1_BUART_sTX_TxShifter_u0__D1_REG CYREG_B0_UDB09_D1
#define UART_1_BUART_sTX_TxShifter_u0__DP_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define UART_1_BUART_sTX_TxShifter_u0__F0_F1_REG CYREG_B0_UDB09_F0_F1
#define UART_1_BUART_sTX_TxShifter_u0__F0_REG CYREG_B0_UDB09_F0
#define UART_1_BUART_sTX_TxShifter_u0__F1_REG CYREG_B0_UDB09_F1
#define UART_1_BUART_sTX_TxSts__0__MASK 0x01u
#define UART_1_BUART_sTX_TxSts__0__POS 0
#define UART_1_BUART_sTX_TxSts__1__MASK 0x02u
#define UART_1_BUART_sTX_TxSts__1__POS 1
#define UART_1_BUART_sTX_TxSts__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define UART_1_BUART_sTX_TxSts__16BIT_STATUS_REG CYREG_B1_UDB09_10_ST
#define UART_1_BUART_sTX_TxSts__2__MASK 0x04u
#define UART_1_BUART_sTX_TxSts__2__POS 2
#define UART_1_BUART_sTX_TxSts__3__MASK 0x08u
#define UART_1_BUART_sTX_TxSts__3__POS 3
#define UART_1_BUART_sTX_TxSts__MASK 0x0Fu
#define UART_1_BUART_sTX_TxSts__MASK_REG CYREG_B1_UDB09_MSK
#define UART_1_BUART_sTX_TxSts__STATUS_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define UART_1_BUART_sTX_TxSts__STATUS_REG CYREG_B1_UDB09_ST

/* UART_1_IntClock */
#define UART_1_IntClock__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define UART_1_IntClock__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define UART_1_IntClock__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define UART_1_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define UART_1_IntClock__INDEX 0x02u
#define UART_1_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define UART_1_IntClock__PM_ACT_MSK 0x04u
#define UART_1_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define UART_1_IntClock__PM_STBY_MSK 0x04u

/* rx_isr */
#define rx_isr__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define rx_isr__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define rx_isr__INTC_MASK 0x02u
#define rx_isr__INTC_NUMBER 1u
#define rx_isr__INTC_PRIOR_NUM 7u
#define rx_isr__INTC_PRIOR_REG CYREG_NVIC_PRI_1
#define rx_isr__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define rx_isr__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* tx_isr */
#define tx_isr__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define tx_isr__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define tx_isr__INTC_MASK 0x04u
#define tx_isr__INTC_NUMBER 2u
#define tx_isr__INTC_PRIOR_NUM 7u
#define tx_isr__INTC_PRIOR_REG CYREG_NVIC_PRI_2
#define tx_isr__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define tx_isr__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Ambient */
#define Ambient__0__INTTYPE CYREG_PICU0_INTTYPE4
#define Ambient__0__MASK 0x10u
#define Ambient__0__PC CYREG_PRT0_PC4
#define Ambient__0__PORT 0u
#define Ambient__0__SHIFT 4
#define Ambient__AG CYREG_PRT0_AG
#define Ambient__AMUX CYREG_PRT0_AMUX
#define Ambient__BIE CYREG_PRT0_BIE
#define Ambient__BIT_MASK CYREG_PRT0_BIT_MASK
#define Ambient__BYP CYREG_PRT0_BYP
#define Ambient__CTL CYREG_PRT0_CTL
#define Ambient__DM0 CYREG_PRT0_DM0
#define Ambient__DM1 CYREG_PRT0_DM1
#define Ambient__DM2 CYREG_PRT0_DM2
#define Ambient__DR CYREG_PRT0_DR
#define Ambient__INP_DIS CYREG_PRT0_INP_DIS
#define Ambient__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Ambient__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Ambient__LCD_EN CYREG_PRT0_LCD_EN
#define Ambient__MASK 0x10u
#define Ambient__PORT 0u
#define Ambient__PRT CYREG_PRT0_PRT
#define Ambient__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Ambient__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Ambient__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Ambient__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Ambient__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Ambient__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Ambient__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Ambient__PS CYREG_PRT0_PS
#define Ambient__SHIFT 4
#define Ambient__SLW CYREG_PRT0_SLW

/* Ambient_Gnd */
#define Ambient_Gnd__0__INTTYPE CYREG_PICU0_INTTYPE5
#define Ambient_Gnd__0__MASK 0x20u
#define Ambient_Gnd__0__PC CYREG_PRT0_PC5
#define Ambient_Gnd__0__PORT 0u
#define Ambient_Gnd__0__SHIFT 5
#define Ambient_Gnd__AG CYREG_PRT0_AG
#define Ambient_Gnd__AMUX CYREG_PRT0_AMUX
#define Ambient_Gnd__BIE CYREG_PRT0_BIE
#define Ambient_Gnd__BIT_MASK CYREG_PRT0_BIT_MASK
#define Ambient_Gnd__BYP CYREG_PRT0_BYP
#define Ambient_Gnd__CTL CYREG_PRT0_CTL
#define Ambient_Gnd__DM0 CYREG_PRT0_DM0
#define Ambient_Gnd__DM1 CYREG_PRT0_DM1
#define Ambient_Gnd__DM2 CYREG_PRT0_DM2
#define Ambient_Gnd__DR CYREG_PRT0_DR
#define Ambient_Gnd__INP_DIS CYREG_PRT0_INP_DIS
#define Ambient_Gnd__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU0_BASE
#define Ambient_Gnd__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Ambient_Gnd__LCD_EN CYREG_PRT0_LCD_EN
#define Ambient_Gnd__MASK 0x20u
#define Ambient_Gnd__PORT 0u
#define Ambient_Gnd__PRT CYREG_PRT0_PRT
#define Ambient_Gnd__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Ambient_Gnd__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Ambient_Gnd__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Ambient_Gnd__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Ambient_Gnd__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Ambient_Gnd__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Ambient_Gnd__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Ambient_Gnd__PS CYREG_PRT0_PS
#define Ambient_Gnd__SHIFT 5
#define Ambient_Gnd__SLW CYREG_PRT0_SLW

/* adc_isr */
#define adc_isr__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define adc_isr__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define adc_isr__INTC_MASK 0x01u
#define adc_isr__INTC_NUMBER 0u
#define adc_isr__INTC_PRIOR_NUM 7u
#define adc_isr__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define adc_isr__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define adc_isr__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Counter_1_CounterUDB */
#define Counter_1_CounterUDB_sC16_counterdp_u0__16BIT_A0_REG CYREG_B1_UDB04_05_A0
#define Counter_1_CounterUDB_sC16_counterdp_u0__16BIT_A1_REG CYREG_B1_UDB04_05_A1
#define Counter_1_CounterUDB_sC16_counterdp_u0__16BIT_D0_REG CYREG_B1_UDB04_05_D0
#define Counter_1_CounterUDB_sC16_counterdp_u0__16BIT_D1_REG CYREG_B1_UDB04_05_D1
#define Counter_1_CounterUDB_sC16_counterdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Counter_1_CounterUDB_sC16_counterdp_u0__16BIT_F0_REG CYREG_B1_UDB04_05_F0
#define Counter_1_CounterUDB_sC16_counterdp_u0__16BIT_F1_REG CYREG_B1_UDB04_05_F1
#define Counter_1_CounterUDB_sC16_counterdp_u0__A0_A1_REG CYREG_B1_UDB04_A0_A1
#define Counter_1_CounterUDB_sC16_counterdp_u0__A0_REG CYREG_B1_UDB04_A0
#define Counter_1_CounterUDB_sC16_counterdp_u0__A1_REG CYREG_B1_UDB04_A1
#define Counter_1_CounterUDB_sC16_counterdp_u0__D0_D1_REG CYREG_B1_UDB04_D0_D1
#define Counter_1_CounterUDB_sC16_counterdp_u0__D0_REG CYREG_B1_UDB04_D0
#define Counter_1_CounterUDB_sC16_counterdp_u0__D1_REG CYREG_B1_UDB04_D1
#define Counter_1_CounterUDB_sC16_counterdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Counter_1_CounterUDB_sC16_counterdp_u0__F0_F1_REG CYREG_B1_UDB04_F0_F1
#define Counter_1_CounterUDB_sC16_counterdp_u0__F0_REG CYREG_B1_UDB04_F0
#define Counter_1_CounterUDB_sC16_counterdp_u0__F1_REG CYREG_B1_UDB04_F1
#define Counter_1_CounterUDB_sC16_counterdp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Counter_1_CounterUDB_sC16_counterdp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Counter_1_CounterUDB_sC16_counterdp_u1__16BIT_A0_REG CYREG_B1_UDB05_06_A0
#define Counter_1_CounterUDB_sC16_counterdp_u1__16BIT_A1_REG CYREG_B1_UDB05_06_A1
#define Counter_1_CounterUDB_sC16_counterdp_u1__16BIT_D0_REG CYREG_B1_UDB05_06_D0
#define Counter_1_CounterUDB_sC16_counterdp_u1__16BIT_D1_REG CYREG_B1_UDB05_06_D1
#define Counter_1_CounterUDB_sC16_counterdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define Counter_1_CounterUDB_sC16_counterdp_u1__16BIT_F0_REG CYREG_B1_UDB05_06_F0
#define Counter_1_CounterUDB_sC16_counterdp_u1__16BIT_F1_REG CYREG_B1_UDB05_06_F1
#define Counter_1_CounterUDB_sC16_counterdp_u1__A0_A1_REG CYREG_B1_UDB05_A0_A1
#define Counter_1_CounterUDB_sC16_counterdp_u1__A0_REG CYREG_B1_UDB05_A0
#define Counter_1_CounterUDB_sC16_counterdp_u1__A1_REG CYREG_B1_UDB05_A1
#define Counter_1_CounterUDB_sC16_counterdp_u1__D0_D1_REG CYREG_B1_UDB05_D0_D1
#define Counter_1_CounterUDB_sC16_counterdp_u1__D0_REG CYREG_B1_UDB05_D0
#define Counter_1_CounterUDB_sC16_counterdp_u1__D1_REG CYREG_B1_UDB05_D1
#define Counter_1_CounterUDB_sC16_counterdp_u1__DP_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define Counter_1_CounterUDB_sC16_counterdp_u1__F0_F1_REG CYREG_B1_UDB05_F0_F1
#define Counter_1_CounterUDB_sC16_counterdp_u1__F0_REG CYREG_B1_UDB05_F0
#define Counter_1_CounterUDB_sC16_counterdp_u1__F1_REG CYREG_B1_UDB05_F1
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB04_05_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB04_05_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B1_UDB04_05_MSK
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB04_05_MSK
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B1_UDB04_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B1_UDB04_ST_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B1_UDB04_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B1_UDB04_ST_CTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Counter_1_CounterUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B1_UDB04_MSK
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__0__MASK 0x01u
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__0__POS 0
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__1__MASK 0x02u
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__1__POS 1
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_REG CYREG_B1_UDB05_06_ST
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__2__MASK 0x04u
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__2__POS 2
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__5__MASK 0x20u
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__5__POS 5
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__6__MASK 0x40u
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__6__POS 6
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__MASK 0x67u
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__MASK_REG CYREG_B1_UDB05_MSK
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define Counter_1_CounterUDB_sSTSReg_rstSts_stsreg__STATUS_REG CYREG_B1_UDB05_ST

/* OLED_CTRL */
#define OLED_CTRL__0__INTTYPE CYREG_PICU6_INTTYPE5
#define OLED_CTRL__0__MASK 0x20u
#define OLED_CTRL__0__PC CYREG_PRT6_PC5
#define OLED_CTRL__0__PORT 6u
#define OLED_CTRL__0__SHIFT 5
#define OLED_CTRL__1__INTTYPE CYREG_PICU6_INTTYPE6
#define OLED_CTRL__1__MASK 0x40u
#define OLED_CTRL__1__PC CYREG_PRT6_PC6
#define OLED_CTRL__1__PORT 6u
#define OLED_CTRL__1__SHIFT 6
#define OLED_CTRL__2__INTTYPE CYREG_PICU6_INTTYPE7
#define OLED_CTRL__2__MASK 0x80u
#define OLED_CTRL__2__PC CYREG_PRT6_PC7
#define OLED_CTRL__2__PORT 6u
#define OLED_CTRL__2__SHIFT 7
#define OLED_CTRL__AG CYREG_PRT6_AG
#define OLED_CTRL__AMUX CYREG_PRT6_AMUX
#define OLED_CTRL__BIE CYREG_PRT6_BIE
#define OLED_CTRL__BIT_MASK CYREG_PRT6_BIT_MASK
#define OLED_CTRL__BYP CYREG_PRT6_BYP
#define OLED_CTRL__CTL CYREG_PRT6_CTL
#define OLED_CTRL__DM0 CYREG_PRT6_DM0
#define OLED_CTRL__DM1 CYREG_PRT6_DM1
#define OLED_CTRL__DM2 CYREG_PRT6_DM2
#define OLED_CTRL__DR CYREG_PRT6_DR
#define OLED_CTRL__INP_DIS CYREG_PRT6_INP_DIS
#define OLED_CTRL__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU6_BASE
#define OLED_CTRL__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define OLED_CTRL__LCD_EN CYREG_PRT6_LCD_EN
#define OLED_CTRL__MASK 0xE0u
#define OLED_CTRL__PORT 6u
#define OLED_CTRL__PRT CYREG_PRT6_PRT
#define OLED_CTRL__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define OLED_CTRL__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define OLED_CTRL__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define OLED_CTRL__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define OLED_CTRL__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define OLED_CTRL__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define OLED_CTRL__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define OLED_CTRL__PS CYREG_PRT6_PS
#define OLED_CTRL__SHIFT 5
#define OLED_CTRL__SLW CYREG_PRT6_SLW

/* ss_detect */
#define ss_detect__0__INTTYPE CYREG_PICU5_INTTYPE4
#define ss_detect__0__MASK 0x10u
#define ss_detect__0__PC CYREG_PRT5_PC4
#define ss_detect__0__PORT 5u
#define ss_detect__0__SHIFT 4
#define ss_detect__AG CYREG_PRT5_AG
#define ss_detect__AMUX CYREG_PRT5_AMUX
#define ss_detect__BIE CYREG_PRT5_BIE
#define ss_detect__BIT_MASK CYREG_PRT5_BIT_MASK
#define ss_detect__BYP CYREG_PRT5_BYP
#define ss_detect__CTL CYREG_PRT5_CTL
#define ss_detect__DM0 CYREG_PRT5_DM0
#define ss_detect__DM1 CYREG_PRT5_DM1
#define ss_detect__DM2 CYREG_PRT5_DM2
#define ss_detect__DR CYREG_PRT5_DR
#define ss_detect__INP_DIS CYREG_PRT5_INP_DIS
#define ss_detect__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU5_BASE
#define ss_detect__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define ss_detect__LCD_EN CYREG_PRT5_LCD_EN
#define ss_detect__MASK 0x10u
#define ss_detect__PORT 5u
#define ss_detect__PRT CYREG_PRT5_PRT
#define ss_detect__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define ss_detect__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define ss_detect__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define ss_detect__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define ss_detect__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define ss_detect__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define ss_detect__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define ss_detect__PS CYREG_PRT5_PS
#define ss_detect__SHIFT 4
#define ss_detect__SLW CYREG_PRT5_SLW

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_theACLK__INDEX 0x00u
#define ADC_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* Counter_Clock */
#define Counter_Clock__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Counter_Clock__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Counter_Clock__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Counter_Clock__CFG2_SRC_SEL_MASK 0x07u
#define Counter_Clock__INDEX 0x01u
#define Counter_Clock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Counter_Clock__PM_ACT_MSK 0x02u
#define Counter_Clock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Counter_Clock__PM_STBY_MSK 0x02u

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CY_PROJECT_NAME "Transmitter"
#define CY_VERSION "PSoC Creator  3.3 CP1"
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 18u
#define CYDEV_CHIP_DIE_PSOC4A 10u
#define CYDEV_CHIP_DIE_PSOC5LP 17u
#define CYDEV_CHIP_DIE_TMA4 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E118069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 10u
#define CYDEV_CHIP_MEMBER_4C 15u
#define CYDEV_CHIP_MEMBER_4D 6u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 11u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4H 9u
#define CYDEV_CHIP_MEMBER_4I 14u
#define CYDEV_CHIP_MEMBER_4J 7u
#define CYDEV_CHIP_MEMBER_4K 8u
#define CYDEV_CHIP_MEMBER_4L 13u
#define CYDEV_CHIP_MEMBER_4M 12u
#define CYDEV_CHIP_MEMBER_4N 5u
#define CYDEV_CHIP_MEMBER_4U 3u
#define CYDEV_CHIP_MEMBER_5A 17u
#define CYDEV_CHIP_MEMBER_5B 16u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_Disallowed
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00008006u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x0800
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5.0
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5.0
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5.0
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5.0
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
